%define pypi_name Pykka
%define pkg_name  pykka

Name:           python-pykka
Version:        2.0.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        Pykka is a Python implementation of the actor model

License:        ASL 2.0
URL:            https://pypi.org/project/Pykka/#files
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Pykka is a Python implementation of the actor model. The actor model introduces
some simple rules to control the sharing of state and cooperation between
execution units, which makes it easier to build concurrent applications.


%package -n     python3-pykka
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Obsoletes:      python3-Pykka < 1.2.1-2
Provides:       python3-Pykka = %{version}-%{release}
%{?python_provide:%python_provide python3-pykka}

%description -n python3-pykka
Pykka is a Python3 implementation of the actor model. The actor model
introduces somesimple rules to control the sharing of state and cooperation
between execution units, which makes it easier to build concurrent
applications.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-pykka
%{python3_sitelib}/pykka/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sat Nov 28 2020 guillomovitch <guillomovitch> 2.0.3-1.mga8
+ Revision: 1649905
- new version 2.0.3

* Tue Feb 18 2020 umeabot <umeabot> 2.0.2-2.mga8
+ Revision: 1540922
- Mageia 8 Mass Rebuild

* Tue Dec 17 2019 wally <wally> 2.0.2-1.mga8
+ Revision: 1468648
- new version 2.0.2

* Sat Nov 16 2019 daviddavid <daviddavid> 2.0.0-1.mga8
+ Revision: 1461197
- new version: 2.0.0

* Sun Oct 13 2019 tv <tv> 1.2.1-6.mga8
+ Revision: 1452842
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.2.1-6.mga7
+ Revision: 1353931
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.1-5.mga7
+ Revision: 1289785
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.1-4.mga7
+ Revision: 1135573
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.2.1-3.mga6
+ Revision: 972298
- Mageia 6 Mass Rebuild

* Mon Nov 02 2015 philippem <philippem> 1.2.1-2.mga6
+ Revision: 897326
- rename python3-Pykka to python3-pykka

* Sun Nov 01 2015 philippem <philippem> 1.2.1-1.mga6
+ Revision: 897159
- update to 1.2.1

* Sat Oct 10 2015 tv <tv> 1.2.0-2.mga6
+ Revision: 888850
- rebuild for python 3.5

* Sun Nov 02 2014 philippem <philippem> 1.2.0-1.mga5
+ Revision: 795210
- imported package python-pykka

